Aden

Catalog

A business's public catalogue for agents, no sign-in: search tracks, read codes, writers and publishers. Open while it takes license requests.

GET
/api/v1/public/catalog/{kind}/{slug}

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120

Query Parameters

q?string
Lengthlength <= 200
genre?string
Lengthlength <= 80
mood?string
Lengthlength <= 40
key?string
Lengthlength <= 20
bpmMin?|string
bpmMax?|string
limit?|string
offset?|string
curl -X GET "https://example.com/api/v1/public/catalog/organisations/string"
GET
/api/v1/public/catalog/{kind}/{slug}/tracks/{trackId}

Path Parameters

kind*string

Value in

  • "organisations"
  • "teams"
slug*string
Lengthlength <= 120
trackId*|string
curl -X GET "https://example.com/api/v1/public/catalog/organisations/string/tracks/1"
Was this helpful?